package org.apidesign.apifest08.currency;

import java.math.BigDecimal;
import java.util.Currency;

/**
 * Money representation. Default implementation {@link MoneyImpl} is provided. This interface can
 * be implemented by a DTO used in client application.
 * @author lukas
 *
 */
/*
 * Whether we need such interface depends on context. I can imagine than in a desktop application this interface 
 * would be useless, Money could be a class. In J2EE environment it can be useful.
 */
public interface Money {

	/**
	 * Returns amount.
	 * @return
	 */
	public BigDecimal getAmount();

	/**
	 * Returns currency.
	 */
	public Currency getCurrency();

}